Installer - Bug #17968

Foreman fails with MySQL
01/06/2017 12:19 PM - Raul Dias

Status: Rejected

Priority: High

Assignee:

Category: Foreman modules

Target version:

Difficulty: Fixed in Releases:

Triaged: Found in Releases: 1.13.3
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Trying to install foreman with mysqgl support and it fails.
Happens on both Jessie and CentOS 7.

The installation command is:
foreman-installer -i --verbose \
--foreman-db-adapter=mysql2 \
--foreman-db-type=mysql \
--foreman-db-manage=false \
--foreman-db-host=10.10.24.2 \
--foreman-db-database=foreman\
--foreman-db-username=foreman \
--foreman-db-password=XXXXXXXXXXXXXX

The database exists and is empty.
The installation does populate it (73 tables are created and populated).

History

#1 - 01/06/2017 12:23 PM - Anonymous

| guess this is fixed by https://github.com/theforeman/puppet-foreman/pull/488 which is part of the 1.14 installer.

#2 - 01/06/2017 12:27 PM - Raul Dias

Michael Moll wrote:

| guess this is fixed by https:/github.com/theforeman/puppet-foreman/pull/488 which is part of the 1.14 installer.

Retrying with 1.14.

#3 - 01/06/2017 12:33 PM - Anonymous

- Project changed from Foreman to Installer

- Category changed from Database to Foreman modules
- Priority changed from Immediate to High

- translation missing: en.field_release deleted (213)

#4 - 01/06/2017 01:07 PM - Raul Dias

- File foreman.log added

Michael Moll wrote:

| guess this is fixed by https:/github.com/theforeman/puppet-foreman/pull/488 which is part of the 1.14 installer.

Same problem with 1.14:
Something went wrong! Check the log for ERROR-level output * Foreman is running at https:/foreman.base.mydomain.com

Initial credentials are admin / aHcQE6ScpBEVjovP * Foreman Proxy is running at https:/foreman.base.mydomain.com:8443 * Puppetmaster is
running at port 8140

The full log is at /var/log/foreman-installer/foreman.log

[ INFO 2017-01-06 15:59:42 verbose] All hooks in group post finished

root@foreman:~# dpkg Hererman

—8-m-
Uploading the new logs too.

#5 - 01/06/2017 02:26 PM - Anonymous

Please grep for ERROR messages in the logfile and fix the "Could not resolve 'httpredir.debian.org™ error, then re-run foreman-installer and report
back, please.

#6 - 01/06/2017 02:34 PM - Raul Dias
Michael Moll wrote:
Please grep for ERROR messages in the logfile and fix the "Could not resolve 'httpredir.debian.org™ error, then re-run foreman-installer and

report back, please.

You were right. It worked now.

#7 - 01/06/2017 02:38 PM - Anonymous

- Status changed from New to Rejected

thanks!

Files

foreman.log 1.36 MB 01/06/2017 Raul Dias
foreman.log 1.78 MB 01/06/2017 Raul Dias
